org.vishia.commander

## Class FcmdFavorPathSelector.FavorPath

- java.lang.Object
- - org.vishia.commander.FcmdFavorPathSelector.FavorPath

- Enclosing class:
    FcmdFavorPathSelector

      static class FcmdFavorPathSelector.FavorPath
      extends java.lang.Object

  Entry in the favorite list.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private FileRemote` | `dir` Origin dir adequate `path`.
    `(package private) FileCluster` | `fileCluster`
    `(package private) int` | `mMainPanel` bit 0..2 present this favorite on the designated main panel 1..3 or l, m, r, it means, a tab with the label will be created.
    `(package private) java.lang.String` | `path` The path of directory to select.
    `(package private) java.lang.String` | `selectName` The name shown in the list.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FavorPath(java.lang.String selectName, java.lang.String path, FileCluster fileCluster)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileRemote` | `getOriginDir()` Returns the dir instance for the origin path.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### path

          final java.lang.String path

      The path of directory to select.

    - #### selectName

          final java.lang.String selectName

      The name shown in the list.

    - #### fileCluster

          final FileCluster fileCluster

    - #### mMainPanel

          int mMainPanel

      bit 0..2 present this favorite on the designated main panel 1..3 or l, m, r, it means, a tab with the label will be created.

    - #### dir

          private FileRemote dir

      Origin dir adequate `path`. It is null on initialization, but build on call of `getOriginDir()`.

  - ### Constructor Detail

    - #### FavorPath

          public FavorPath(java.lang.String selectName,
                           java.lang.String path,
                           FileCluster fileCluster)

  - ### Method Detail

    - #### getOriginDir

          public FileRemote getOriginDir()

      Returns the dir instance for the origin path. The dir instance is built only one time but only if it is necessary. It means it is built on the first call of this method.
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`